package org.jeecg.modules.clockinconf.service.impl;

import org.jeecg.modules.clockinconf.entity.ClockInConf;
import org.jeecg.modules.clockinconf.mapper.ClockInConfMapper;
import org.jeecg.modules.clockinconf.service.IClockInConfService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: clock_in_conf
 * @Author: jeecg-boot
 * @Date:   2024-11-18
 * @Version: V1.0
 */
@Service
public class ClockInConfServiceImpl extends ServiceImpl<ClockInConfMapper, ClockInConf> implements IClockInConfService {

    @Override
    public String getConf(String name) {
        ClockInConf clockInConf = this.lambdaQuery()
                .eq(ClockInConf::getDelFlag, 0)
                .eq(ClockInConf::getName, name)
                .one();
        return clockInConf.getValue();
    }
}
